--[[
	Shaankylock v2.1 by Shaankylar
]]--


local SL_Warning = false;
local SL_updateInterval = 10.0;
local SL_HealthToggle = true;
local SL_GlyphToggle = true;


function SL_OnLoad()
	this:RegisterEvent("UNIT_HEALTH")
	this:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
	DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] v2.0 loaded ok! Use /shaanky or /shaankylock",0.7,0,0.7)
end


function SL_SlashOption(msg)
	msg = msg and string.lower(msg) or "";

	if msg == "health" then
		if (SL_HealthToggle) then
			SL_HealthToggle = false;
			DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] Full health warnings DISABLED",1,0,0)
		else
			SL_HealthToggle = true;
			DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] Full health warnings ENABLED",0,1,0)
		end

	elseif msg == "glyph" then
		if (SL_GlyphToggle) then
			SL_GlyphToggle = false;
			DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] Life Tap buff warnings DISABLED",1,0,0)
		else
			SL_GlyphToggle = true;
			DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] Life Tap buff warnings ENABLED",0,1,0)
		end

	else
		DEFAULT_CHAT_FRAME:AddMessage("[Shaankylock] Help",0.7,0,0.7)
		DEFAULT_CHAT_FRAME:AddMessage("health - toggles the warning for when you are on full health while in combat",0.7,0,0.7)
		DEFAULT_CHAT_FRAME:AddMessage("glyph - toggles the warning for when you do not have the Life Tap buff while in combat",0.7,0,0.7)
	end
end
SLASH_SHAANKYLOCK1 = "/shaankylock";
SLASH_SHAANKYLOCK2 = "/shaanky";
SlashCmdList["SHAANKYLOCK"] = SL_SlashOption;



function SL_OnEventHealth(event)
	if (event == "UNIT_HEALTH" and arg1 == "player") then
		local healthFull = SL_checkHealth();
		if (SL_HealthToggle) and (healthFull) and (SL_Warning == false) and UnitAffectingCombat("Player") then
			UIErrorsFrame:AddMessage("Health full, LIFE TAP!",0.7,0,0.7)
			PlaySoundFile("Sound\\Spells\\Druid_Nourish.wav")
			SL_Warning = true;
			SL_Timer:Show()
		end
	end
end


function SL_OnEventSpell(event)
	if (event == "UNIT_SPELLCAST_SUCCEEDED" and arg1 == "player") then
		if (SL_GlyphToggle) and (UnitBuff("player","Life Tap")) and UnitAffectingCombat("player") then

			
		elseif (SL_GlyphToggle) and UnitAffectingCombat("player") then
			UIErrorsFrame:AddMessage("Buff missing, LIFE TAP/DARK PACT!",0,0.7,0)
			PlaySoundFile("Sound\\Spells\\Druid_Replenish.wav")
		end
	end
end
	


function SL_checkHealth()
	local health = tonumber(UnitHealth("player"));
	local maxhealth = tonumber(UnitHealthMax("player"));
	if (health >= maxhealth) then
		return true;
	else
		return false;
	end
end


function SL_waitTimer(self,elapsed)
	self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed;
	if (self.TimeSinceLastUpdate > SL_updateInterval) then
		SL_Warning = false;
		self.TimeSinceLastUpdate = 0;
		SL_Timer:Hide()
	end
end